<?php

/**
 * @file
 * OnePass administration page callback.
 */

/**
 * OnePass module configuration form.
 */
function onepass_config_form($form, $form_state) {
  $form['onepass_host'] = array(
    '#type' => 'textfield',
    '#title' => t('One Pass host'),
    '#description' => t(
      'API host, Live: @live, Dev: @dev',
      array(
        '@live' => 'https://1pass.me',
        '@dev' => 'https://demo.1pass.me',
      )),
    '#default_value' => variable_get('onepass_host', 'https://1pass.me'),
    '#size' => 30,
  );
  $form['onepass_publishable_key'] = array(
    '#type' => 'textfield',
    '#title' => t('One Pass publishable key'),
    '#default_value' => variable_get('onepass_publishable_key', ''),
    '#size' => 30,
  );
  $form['onepass_secret_key'] = array(
    '#type' => 'textfield',
    '#title' => t('One Pass secret key'),
    '#default_value' => variable_get('onepass_secret_key', ''),
    '#size' => 30,
  );
  $form['onepass_paywall'] = array(
    '#type' => 'checkbox',
    '#title' => t('One Pass paywall'),
    '#default_value' => variable_get('onepass_paywall', 0),
    '#return_value' => 1,
  );
  return system_settings_form($form);
}
