<?php

/**
 * @file
 * Views data/alter/plugins hooks.
 */

/**
 * Implements hook_views_data().
 */
function onepass_views_data() {
  $data = array();
  $data['onepass_node']['table'] = array(
    'group' => t('OnePass'),
    'base' => array(
      'field' => 'id',
      'title' => t('OnePass nodes'),
      'help' => t('Contains OnePass service per node relation'),
    ),
  );
  $data['onepass_node']['id'] = array(
    'title' => t('ID'),
    'help' => t('Relation identifier'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );
  $data['onepass_node']['nid'] = array(
    'title' => t('Node ID'),
    'help' => t('Related node nid'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
    'relationship' => array(
      'base' => 'node',
      'base field' => 'nid',
      'label' => t('OnePass node'),
      'title' => t('OnePass node'),
      'help' => t('Relation OnePass service per node'),
    ),
  );
  $data['onepass_node']['created'] = array(
    'title' => t('Creation date'),
    'help' => t('Relation creation date'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_date',
    ),
  );
  return $data;
}

/**
 * Implements hook_views_data_alter().
 */
function onepass_views_data_alter(&$data) {
  $data['node']['onepass_relation'] = array(
    'title' => t('OnePass relation'),
    'help' => t('Relation to OnePass service marked nodes.'),
    'relationship' => array(
      'base' => 'onepass_node',
      'base field' => 'nid',
      'field' => 'nid',
      'label' => t('OnePass relation'),
      'title' => t('OnePass relation'),
      'help' => t('Relation to OnePass service marked nodes.'),
    ),
  );
}

/**
 * Implements hook_views_plugins().
 */
function onepass_views_plugins() {
  return array(
    'access' => array(
      'onepass_access_plugin' => array(
        'title' => t('OnePass access only'),
        'help' => t('Allow access for OnePass service servers only.'),
        'handler' => 'OnepassAccessPlugin',
      ),
    ),
  );
}
